'use strict';
export default function(duelController) {
  let duelCtrl = duelController;
  let start = (payload = null) => {
    if (payload) {
      duelCtrl.setData({
        bluePlayer: {
          name: payload.player1Name,
          color: 'blue'
        },
        redPlayer: {
          name: payload.player2Name,
          color: 'red'
        },
        game: {
          deckMode: payload.gameOptions.deck,
          advRules: payload.gameOptions.advRules,
          waitingForBlue: false,
          waitingForRed: false,
          currentPlayer: '',
          'battleTiles/left': [{ id: 0, name: 'mine', redPoints: 3 }]
        }
      });
      // Init state just initialize game data, end it
      duelCtrl.endCurrentState();
    }
  };
  let update = () => {};
  let end = () => {
    switch (duelCtrl.getGameData().game.deckMode) {
      case 'faction':
        duelCtrl.setCurrentState('1_SELECT_FACTION');
        duelCtrl.startCurrentState();
        break;
      case 'tournament':
        break;

      case 'draft':
        break;

      default:
        break;
    }
  };
  return {
    start,
    update,
    end
  };
}
