'use strict';
// Following contains all states definitions
// They all receive interface from duel controller as an argument (see stateCtrl in DuelController)
// They all must implement :
//  - start  : where it prepares the game data for this step and save it dor players
//  - update : where it waits for players inputs, save them
//  - end    : where it decides what should be next state
// Those 3 methods might receive a payload but not necessarily
// The state have also direct acces to game data

import initState from './0-initState';
import selectFactionState from './1-selectFactionState';
export default {
  initState,
  selectFactionState
};
